List all External Secrets Managers
Returns a list of all External Secrets Manager instances within your Fivetran account.
Request schema
Query parameters
Paging cursor, read more about pagination
Number of records to fetch per page. Accepts a number in the range 1..1000; the default value is 100.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/external-secrets-managers?cursor=cursor_value&limit=100 HTTP/1.1 Accept: application/json Authorization: BasicHost: api.fivetran.com
Responses
200
Response status code
Response status text
The collection of returned items
The unique identifier of the External Secrets Manager instance.
The ESM provider type
The name of the ESM instance
Provider-specific configuration.
additional property
Whether this External Secrets Manager instance is compatible with Hybrid Deployment environments.
The timestamp when the ESM instance was created.
The timestamp when the ESM instance was last updated.
The value of the cursor parameter for the next page
{ "code": "Success", "message": "Operation performed successfully", "data": { "items": [ { "id": "lucky_tiger", "type": "AWS_SECRET_MANAGER", "name": "My AWS Secrets Manager", "config": { "property1": {}, "property2": {} }, "is_hybrid_deployment": true, "created_at": "2026-05-20T00:00:00Z", "updated_at": "2026-05-20T00:00:00Z" } ], "next_cursor": "cursor_value" } }